Package com.macrofocus.high_d.scatterplotmatrix

# Class AbstractScatterPlotMatrix<Component,Color,R,C>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrix<Component,Color,R,C>

All Implemented Interfaces:
  `ScatterPlotMatrix<Component,Color,R,C>`

Direct Known Subclasses:
  `JavaFXScatterPlotMatrix`

public abstract class AbstractScatterPlotMatrix<Component,Color,R,C> extends Object implements ScatterPlotMatrix<Component,Color,R,C>
Created by luc on 25/04/16.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ScatterPlotMatrixController`
  `controller`
  `protected static LicenseModel`
  `licenseModel`
  `protected ScatterPlotMatrixView<Component,Color,R,C>`
  `view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractScatterPlotMatrix()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract ScatterPlotMatrixController`
  `createController(ScatterPlotMatrixView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected abstract ScatterPlotMatrixModel`
  `createScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected abstract ScatterPlotMatrixView`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `ScatterPlotMatrixController`
  `getController()`
  Returns the controller used by the parallel coordinates component.
  `ScatterPlotMatrixModel`
  `getModel()`
  Returns the model used by the scatter plot component.
  `ScatterPlotMatrixView<Component,Color,R,C>`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `protected void`
  `load(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Loads the specified Swing TableModel.
  `void`
  `setController(ScatterPlotMatrixController controller)`
  Sets the controller to be used by the parallel coordinates component and register the view currently in use.
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of ScatterPlotMatrix.
  `void`
  `setModel(ScatterPlotMatrixModel model)`
  Sets the model to be used for the scatter plot component and register it to the view.
  `void`
  `setView(ScatterPlotMatrixView<Component,Color,R,C> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.scatterplotmatrix.ScatterPlotMatrix

  `getNativeComponent`

- ## Field Details

  - ### licenseModel

    protected static LicenseModel licenseModel

  - ### view

    protected ScatterPlotMatrixView<Component,Color,R,C> view

  - ### controller

    protected ScatterPlotMatrixController controller

- ## Constructor Details

  - ### AbstractScatterPlotMatrix

    public AbstractScatterPlotMatrix()

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of ScatterPlotMatrix. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### load

    protected void load(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Loads the specified Swing TableModel.
    Parameters:
      `dataFrame` - a Swing TableModel

  - ### getModel

    public ScatterPlotMatrixModel getModel()
    Returns the model used by the scatter plot component.
    Specified by:
      `getModel` in interface `ScatterPlotMatrix<Component,Color,R,C>`
    Returns:
      the model in use

  - ### setModel

    public void setModel(ScatterPlotMatrixModel model)
    Sets the model to be used for the scatter plot component and register it to the view.
    Specified by:
      `setModel` in interface `ScatterPlotMatrix<Component,Color,R,C>`
    Parameters:
      `model` - the model to be used

  - ### getView

    public ScatterPlotMatrixView<Component,Color,R,C> getView()
    Returns the view used by the parallel coordinates component.
    Specified by:
      `getView` in interface `ScatterPlotMatrix<Component,Color,R,C>`
    Returns:
      the view in use

  - ### setView

    public void setView(ScatterPlotMatrixView<Component,Color,R,C> view)
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `ScatterPlotMatrix<Component,Color,R,C>`
    Parameters:
      `view` - the view to be used

  - ### getController

    public ScatterPlotMatrixController getController()
    Returns the controller used by the parallel coordinates component.
    Specified by:
      `getController` in interface `ScatterPlotMatrix<Component,Color,R,C>`
    Returns:
      the controller in use

  - ### setController

    public void setController(ScatterPlotMatrixController controller)
    Sets the controller to be used by the parallel coordinates component and register the view currently in use.
    Specified by:
      `setController` in interface `ScatterPlotMatrix<Component,Color,R,C>`
    Parameters:
      `controller` - the controller in use

  - ### createScatterPlotMatrixModel

    protected abstract ScatterPlotMatrixModel createScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### createView

    protected abstract ScatterPlotMatrixView createView()
    Creates a view that can be used by the parallel coordinates component
    Returns:
      a ParallelCoordinatesView instance

  - ### createController

    protected abstract ScatterPlotMatrixController createController(ScatterPlotMatrixView view)
    Creates a controller that can be used by the parallel coordinates component
    Parameters:
      `view` - the view that should be controlled
    Returns: